<?php

define("TINYAPP_HAS_HELP", 0x01);
define("TINYAPP_EXCEPTION_GUARD", 0x04);

function app($name, $info, $version=null) {
    $app = NoccyLabs\TinyApp\TinyApp::getInstance();
    $app->setName($name);
    $app->setInfo($info);
    $app->setVersion($version);
}
function print_usage() {
    $app = NoccyLabs\TinyApp\TinyApp::getInstance();
    $app->printUsage();
}
function opts(array $opts) {
    $app = NoccyLabs\TinyApp\TinyApp::getInstance();
    $app->addOptions($opts);
}
function help($block) {
    $app = NoccyLabs\TinyApp\TinyApp::getInstance();
    $app->addBlock($block);
}
function entry(callable $entry, $flags=0) {
    $app = NoccyLabs\TinyApp\TinyApp::getInstance();
    $app->run($entry, $flags);
}

if (!interface_exists("Throwable",false)) {
    require_once __DIR__."/throwable.php";
}
