<?php

require_once __DIR__."/../vendor/autoload.php";


$opts = [
    "help,h"        => "Show this help",
    "eat"           => "Eat something",
    "drink:beverage"=> "Drink something",
    "sleep,s:secs"  => "Sleep",
];

app("test", "Test the TinyApp library", "1.0");

opts($opts);

help("The first help block will appear above the options!");

help("The others will end up under it.");
help("And you can add as many as you like!");
help([
    "//If you prefix a block with // it will become italicized",
    "**And if you prefix it with ** it will be boldfaced!",
    "!!Double exclamation marks indicate a warning"
]);

entry(function ($__,$eat,array $drink) {
    print_r($__);
    printf("Eating: %s\n", $eat?"Yes":"No");
    printf("Drinking: %s\n", join(",",$drink));
}, TINYAPP_HAS_HELP);
