<?php

namespace NoccyLabs\TinyApp;

use Throwable;

class ExceptionHandler
{
    public function printException(Throwable $e)
    {
        // Indent the trace
        $trace = explode("\n",$e->getTraceAsString());
        $trace = "    ".join("\n    ",$trace);

        // Dump the exception
        printf("\e[93m  ▄▄▄▄▄▄\n\e[93;41m\e[K  ▀▀▀▀▀▀\e[97m\n\e[K  %s\n\e[K\e[30;3m  %s\e[23m\n\e[K\n\e[0m", $e->getMessage(), get_class($e));
        printf("\e[100;97m\e[K\n  In %s line %d\n\e[0m", $e->getFile(), $e->getLine());
        printf("\e[100;37;3m\e[K\n\e[K%s\n\e[0m\n\n", $trace);
        //printf("\e[30;100m ▄▄\n\e[0;30m\e[K ▀▀\e[0m\n");
    }
}

